/*
 * Copyright 2012 Adrian Toncean
 * 
 * This file is part of From Under the Rock.
 *
 * From Under the Rock is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * From Under the Rock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with From Under the Rock. If not, see <http://www.gnu.org/licenses/>.
 */

package ds

import scala.collection.mutable.Stack
import org.lwjgl.opengl.GL11

object DSManager {
 val stack = new Stack[Int]
 
 def add(i:Int) = {
   stack.push(i)
 }
 
 def release = {
   print("Releasing DS: ")
   while(!stack.isEmpty)
   {
     val tmp = stack.pop
     GL11.glDeleteLists(tmp,1);
     print(tmp + " ")
   }
 }
}