/*
 * Copyright 2012 Adrian Toncean
 * 
 * This file is part of From Under the Rock.
 *
 * From Under the Rock is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * From Under the Rock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with From Under the Rock. If not, see <http://www.gnu.org/licenses/>.
 */

package pack

class Pos(nx: Double, ny: Double, nz: Double)
{
  var x:Double = nx
  var y:Double = ny
  var z:Double = nz
  
  def dist(that: Pos) = {
    math.sqrt((that.x-this.x)*(that.x-this.x) + 
              (that.y-this.y)*(that.y-this.y) + 
              (that.z-this.z)*(that.z-this.z))
  }
}