/*
 * Copyright 2012 Adrian Toncean
 * 
 * This file is part of From Under the Rock.
 *
 * From Under the Rock is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * From Under the Rock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with From Under the Rock. If not, see <http://www.gnu.org/licenses/>.
 */

package rooms
import org.lwjgl.opengl.GL11
import ds._

class RoomA2 extends Room(true) {
  val d = 2
  var t:Double = 0
  
  def drawS = {
    GL11.glPushMatrix
    GL11.glRotatef(t.toFloat*2.21f,0,0,1)
    GL11.glRotatef(t.toFloat*2.3f,0,1,0)
    for(i <- -d to d)
      for(j <- -d to d)
        for(k <- -d to d) {
          GL11.glPushMatrix
          GL11.glTranslatef(i*7,j*7,k*7)
          val s = ((math.sin(i)+math.sin(j+1)+math.sin(k+2)+math.sin(t)+5)/4).toFloat
          GL11.glScalef(s,s,s)
          Box.call
          GL11.glPopMatrix
        }
    GL11.glPopMatrix
  }
    
  def adv = {
    t += 0.01
  }
}