/*
 * Copyright 2012 Adrian Toncean
 * 
 * This file is part of From Under the Rock.
 *
 * From Under the Rock is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * From Under the Rock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with From Under the Rock. If not, see <http://www.gnu.org/licenses/>.
 */

package rooms

import org.lwjgl.opengl.GL11
import ds._
import scala.collection.mutable.MutableList

class RoomPlant1 extends Room(true) {
  val plant1 = new Plant
  val plant2 = new Plant
  val plant3 = new Plant
  val plant4 = new Plant
  var t: Double = 0
  
  def drawS = {
    GL11.glPushMatrix
    GL11.glTranslated( 20,-24,  0)
    GL11.glScaled(0.3,0.3,0.3)
    plant1.call
    GL11.glPopMatrix
    
    GL11.glPushMatrix
    GL11.glTranslated(-20,-24,  0)
    GL11.glScaled(0.3,0.3,0.3)
    plant2.call
    GL11.glPopMatrix
    
    GL11.glPushMatrix
    GL11.glTranslated(  0,-24, 20)
    GL11.glScaled(0.3,0.3,0.3)
    plant3.call
    GL11.glPopMatrix
    
    GL11.glPushMatrix
    GL11.glTranslated(  0,-24,-20)
    GL11.glScaled(0.3,0.3,0.3)
    plant4.call
    GL11.glPopMatrix
  }
  
  def adv = {
    t += 0.3
  }
}