/*
 * Copyright 2012 Adrian Toncean
 * 
 * This file is part of From Under the Rock.
 *
 * From Under the Rock is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * From Under the Rock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with From Under the Rock. If not, see <http://www.gnu.org/licenses/>.
 */

package ds
import org.lwjgl.opengl.GL11

object Snow {
 var handle = 0
 val lat = 1
 
 def assemble = {
  handle = GL11.glGenLists(1);
  GL11.glNewList(handle,GL11.GL_COMPILE)
  GL11.glBegin(GL11.GL_LINES);
  
  GL11.glVertex3d(         0,  -lat,   0); GL11.glVertex3d(         0,   lat,   0)
  GL11.glVertex3d(      -lat,     0,   0); GL11.glVertex3d(       lat,     0,   0)
  GL11.glVertex3d(         0,     0,-lat); GL11.glVertex3d(         0,     0, lat)
  //GL11.glVertex3d(-0.866*lat,-lat/2d,   0); GL11.glVertex3d( 0.866*lat, lat/2d,   0)
  //GL11.glVertex3d(-0.866*lat, lat/2d,   0); GL11.glVertex3d( 0.866*lat,-lat/2d,   0)
   
  GL11.glEnd()
  GL11.glEndList()
  DSManager.add(handle)
 }
  
 def call = {
  GL11.glCallList(handle);
 }
}