/*
 * Copyright 2012 Adrian Toncean
 * 
 * This file is part of From Under the Rock.
 *
 * From Under the Rock is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * From Under the Rock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with From Under the Rock. If not, see <http://www.gnu.org/licenses/>.
 */

package pack

object State {
 val PLAY = 0
 val FADEIN = 1
 val FADEOUT = 2
 val WON = 3
 
 private var state = PLAY
 private var titer = 0
 var titerlim = 0
 
 def setState(s: Int) = {
   state = s
   titer = 0
   s match {
     case PLAY => titerlim = 1
     case FADEIN => titerlim = 100
     case FADEOUT => titerlim = 100
     case WON => titerlim = 100
   }
 }
 
 def getState = state
}