/*
 * Copyright 2012 Adrian Toncean
 * 
 * This file is part of From Under the Rock.
 *
 * From Under the Rock is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * From Under the Rock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with From Under the Rock. If not, see <http://www.gnu.org/licenses/>.
 */

package rooms

import org.lwjgl.opengl.GL11
import ds._

class RoomA1 extends Room(true) {
  var t: Double = 0
  
  def drawS = {
    GL11.glPushMatrix
    for(i <- -2 to 2)
    {
      GL11.glPushMatrix
      GL11.glTranslatef(i*15,10,0)
      GL11.glRotatef((t+i).toFloat,0,1,0)
      GL11.glRotatef((t/3f+i).toFloat,1,0,0)
      GL11.glScalef(5,5,5)
      Box.call
      GL11.glPopMatrix
    }
    GL11.glPopMatrix
  }
  
  def adv = {
    t += 0.3
  }
}