/*
 * Copyright 2012 Adrian Toncean
 * 
 * This file is part of From Under the Rock.
 *
 * From Under the Rock is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * From Under the Rock is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with From Under the Rock. If not, see <http://www.gnu.org/licenses/>.
 */

package rooms

import org.lwjgl.opengl.GL11
import ds._
import scala.collection.mutable.MutableList

class RoomFly1 extends Room(true) {
  var fly = new MutableList[Fly]
  create
  
  def create = {
    for(i <- 1 to 100) 
      fly += new Fly((math.random-0.5)*40,math.random*7+4,math.random*7+4)
  }
  
  def drawS = {
    GL11.glPushMatrix
    for(f <- fly) f.draw
    GL11.glTranslatef(0,20,0)
    GL11.glScalef(3,10,3)
    Box.call
    GL11.glTranslatef(0,-2,0)
    GL11.glScalef(0.7f,0.7f,0.7f)
    Box.call
    GL11.glTranslatef(0,-2,0)
    GL11.glScalef(0.7f,0.7f,0.7f)
    Box.call
    GL11.glPopMatrix
  }
  
  def adv = {
    for(f <- fly) f.adv
  }
}